about summary refs log tree commit diff homepage
path: root/.travis/install-tcmalloc.sh
diff options
context:
space:
mode:
Diffstat (limited to '.travis/install-tcmalloc.sh')
-rwxr-xr-x.travis/install-tcmalloc.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/.travis/install-tcmalloc.sh b/.travis/install-tcmalloc.sh
new file mode 100755
index 00000000..8d60a997
--- /dev/null
+++ b/.travis/install-tcmalloc.sh
@@ -0,0 +1,10 @@
+#!/bin/bash -x
+set -ev
+
+# Get tcmalloc release
+wget https://github.com/gperftools/gperftools/releases/download/gperftools-2.4/gperftools-2.4.tar.gz
+tar xfz gperftools-2.4.tar.gz
+cd gperftools-2.4
+./configure --disable-dependency-tracking --disable-cpu-profiler --disable-heap-checker --disable-debugalloc  --enable-minimal --prefix=/usr
+make
+sudo make install